Skip to content

Instantly share code, notes, and snippets.

kazoo0217 kazoo0217

Block or report user

Report or block kazoo0217

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View compass-1.0-update.md

gemのパッケージでインストールされているものの一覧表示

C:\Users\UserName>gem list

*** LOCAL GEMS ***

bigdecimal (1.2.0)
bootstrap-sass (3.2.0.1)
chunky_png (1.3.1)
compass (0.12.7)
View convert-resize.sh
#!/bin/bash
# コマンド実行結果を変数に格納するには$(command ...)か`command ...`
ft1=.png
ft2=.jpg
w=100
for F in *$ft1
do
F1=$(echo $F)
View create-compass-bootstrap.sh
#!/bin/bash
# set create options
compass create my-project -r bootstrap-sass --using bootstrap --css-dir css --images-dir img --javascripts-dir js --relative-assets -s expanded --no-line-comments
View install-hologram.md

Install

C:\Users\UserName>gem install hologram
Fetching: rouge-1.6.2.gem (100%)
Successfully installed rouge-1.6.2
Fetching: redcarpet-3.1.2.gem (100%)
Building native extensions.  This could take a while...
Successfully installed redcarpet-3.1.2
Fetching: hologram-1.2.0.gem (100%)
View install-bundler.md

Check gem update

C:\Users\UserName>gem update --system
Latest version currently installed. Aborting.

gem list

C:\Users\UserName>gem list
View Vagrantfile
# -*- mode: ruby -*-
# vi: set ft=ruby :
# Vagrantfile API/syntax version. Don't touch unless you know what you're doing!
VAGRANTFILE_API_VERSION = "2"
Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
# All Vagrant configuration is done here. The most common configuration
# options are documented and commented below. For a complete reference,
# please see the online documentation at vagrantup.com.
View provision.sh
#!/usr/bin/env bash
## Auto Install Sequence and configuration for LAMP ##
# update packages
apt-get update >/dev/null 2>&1
# edit password
MYSQL_PASSWORD="password"
# install mysql
echo "mysql-server-5.5 mysql-server/root_password password $MYSQL_PASSWORD" | debconf-set-selections
echo "mysql-server-5.5 mysql-server/root_password_again password $MYSQL_PASSWORD" | debconf-set-selections
apt-get -y install mysql-client mysql-server >/dev/null 2>&1
@kazoo0217
kazoo0217 / .vimrc
Last active May 2, 2018
vimrc for server (no gui, minimal)
View .vimrc
set nocompatible
set number
syntax on
colorscheme elflord
" remap
noremap : ;
noremap ; :
@kazoo0217
kazoo0217 / npm-install-g.sh
Last active Jan 23, 2017
node パッケージのグローバルインストールを自動化
View npm-install-g.sh
#!/bin/sh
npm install -g browser-sync modernizr gulp-cli
@kazoo0217
kazoo0217 / nvm-install-node.sh
Last active Jan 23, 2017
nvm で任意の node バージョンをインストールして default を切替までを自動化
View nvm-install-node.sh
#!/bin/sh
# load nvm
source ~/.nvm/nvm.sh
# list
nvm ls-remote
# input version
echo "インストールする node のバージョンを入力してください : "
You can’t perform that action at this time.